<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>Uses of Interface console.Affichable</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface console.Affichable";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../console/Affichable.html" title="interface in console">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?console/class-use/Affichable.html" target="_top">Frames</a></li>
<li><a href="Affichable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface console.Affichable" class="title">Uses of Interface<br>console.Affichable</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../console/Affichable.html" title="interface in console">Affichable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#console">console</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#interfaceGaphique">interfaceGaphique</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#noyau">noyau</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="console">
<!--   -->
</a>
<h3>Uses of <a href="../../console/Affichable.html" title="interface in console">Affichable</a> in <a href="../../console/package-summary.html">console</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../console/package-summary.html">console</a> that implement <a href="../../console/Affichable.html" title="interface in console">Affichable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../console/Affichage.html" title="class in console">Affichage</a></span></code>
<div class="block">Classe implémentant l'interface affichable Permet de gérer le contenu
 affichable et les interactions joueur</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="interfaceGaphique">
<!--   -->
</a>
<h3>Uses of <a href="../../console/Affichable.html" title="interface in console">Affichable</a> in <a href="../../interfaceGaphique/package-summary.html">interfaceGaphique</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../interfaceGaphique/package-summary.html">interfaceGaphique</a> that implement <a href="../../console/Affichable.html" title="interface in console">Affichable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../interfaceGaphique/ControleGraphique.html" title="class in interfaceGaphique">ControleGraphique</a></span></code>
<div class="block">la classe permet de controler l'affichage grahique en implementant affichable</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="noyau">
<!--   -->
</a>
<h3>Uses of <a href="../../console/Affichable.html" title="interface in console">Affichable</a> in <a href="../../noyau/package-summary.html">noyau</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../noyau/package-summary.html">noyau</a> with parameters of type <a href="../../console/Affichable.html" title="interface in console">Affichable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">Controleur.</span><code><span class="memberNameLink"><a href="../../noyau/Controleur.html#Init-console.Affichable-">Init</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Methode d'initialisation de la partie (création des joueurs, distribution des
 cartes, choix de la variate)</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../noyau/package-summary.html">noyau</a> with parameters of type <a href="../../console/Affichable.html" title="interface in console">Affichable</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Pioche.html#Pioche-java.util.LinkedList-console.Affichable-">Pioche</a></span>(java.util.LinkedList&lt;<a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&gt;&nbsp;tab,
      <a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Constructeur de la pioche</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/PoserCarteException.html#PoserCarteException-noyau.Joueur-noyau.Carte-noyau.Carte-console.Affichable-">PoserCarteException</a></span>(<a href="../../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j,
                   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;carteJouer,
                   <a href="../../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;derniereCarteJouee,
                   <a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;affichage)</code>
<div class="block">Notifie le joueur que la carte n'est pas jouable</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Regle.html#Regle-console.Affichable-">Regle</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante1.html#Variante1-console.Affichable-">Variante1</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>
<div class="block">Constructeur de la classe
 La variante hérite de règle</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante10.html#Variante10-console.Affichable-">Variante10</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante11.html#Variante11-console.Affichable-">Variante11</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante12.html#Variante12-console.Affichable-">Variante12</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante13.html#Variante13-console.Affichable-">Variante13</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante14.html#Variante14-console.Affichable-">Variante14</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante15.html#Variante15-console.Affichable-">Variante15</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante16.html#Variante16-console.Affichable-">Variante16</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante17.html#Variante17-console.Affichable-">Variante17</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/variante2.html#variante2-console.Affichable-">variante2</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/variante3.html#variante3-console.Affichable-">variante3</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante4.html#Variante4-console.Affichable-">Variante4</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante5.html#Variante5-console.Affichable-">Variante5</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante6.html#Variante6-console.Affichable-">Variante6</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante7.html#Variante7-console.Affichable-">Variante7</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante8.html#Variante8-console.Affichable-">Variante8</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../noyau/Variante9.html#Variante9-console.Affichable-">Variante9</a></span>(<a href="../../console/Affichable.html" title="interface in console">Affichable</a>&nbsp;a)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../console/Affichable.html" title="interface in console">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?console/class-use/Affichable.html" target="_top">Frames</a></li>
<li><a href="Affichable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
